Subject: [bug#51838] [PATCH 00/11] guix: node-build-system: Support compiling add-ons with node-gyp.

From: Timothy Sample <[email-masked]>
Date: Sat, 20 Nov 2021 15:08:32 -0500

Hi Philip,

There are some really valuable changes in here, thanks!  I would like to
start understanding and reviewing the changes so that we can get some of
this good stuff merged in.  However, I have one question that I couldn’t
answer from reading here or at <https://issues.guix.gnu.org/49946>: is
there an agreement between you and Pierre that these patches are the
“right” way to do native addons for Node.js.  More importantly, is the
general plan that we merge these changes, and then Pierre rebases their
Tree-sitter changes on top these?

Pierre, maybe you could weigh in here?

Sorry if I missed something.  I assume everything is OK, but I want to
be sure before I start digging into the details of the patches –
especially those first few more complicated ones.  :)

Thanks!

-- Tim